Sourceeditor appendTo HTML element supports
appendTo() method always append XUL iframe no matter parent element is XUL or HTML. We should support this by detecting parent namespaceURI to create correct namespace iframe accordingly.